package cn.com.ctop.toutiao.modules.material.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 返点-首投有效素材明细表
 */
@Data
public class FirstDeliveryValidRatio {

    private Long id;
    /**
     * 所属年
     */
    private String deliveryYear;
    /**
     * 核算业绩归属季度
     */
    private String deliveryQuarter;
    /**
     * 核算业绩归属月
     */
    private String deliveryMonth;
    /**
     * 代理商集团
     */
    private String agentCombine;
    /**
     * 竞价分类
     */
    private String bidType;
    /**
     * 结算行业统计类型
     */
    private String settlementType;
    /**
     * 结算二级行业
     */
    private String settlement2l;
    /**
     * 运营标签
     */
    private String operationLabel;
    /**
     * 月度首投视频素材数
     */
    private Long firstDeliveryMonthMaterials;
    /**
     * 月度有效视频素材数
     */
    private Long firstDeliveryMonthValidMaterials;
    /**
     * 月度首投有效素材占比
     */
    private BigDecimal validMaterialRatio;
    /**
     * 目标值
     */
    private BigDecimal targetValue;
    /**
     * 返点比例
     */
    private BigDecimal rebateRatio;
    /**
     * 满点差值
     */
    private BigDecimal fullDotDif;
    /**
     * 返点比例上限
     */
    private BigDecimal rebateRatioCeiling;
    /**
     * 业绩消耗
     */
    private BigDecimal cost;
    /**
     * 返点金额
     */
    private BigDecimal rebateCost;
    /**
     * 满点差值金额
     */
    private BigDecimal fullDotDifCost;


    public FirstDeliveryValidRatio() {
    }

    public FirstDeliveryValidRatio(JSONObject obj) {
        this.setDeliveryQuarter(obj.getString("0"));//核算业绩归属季度
        this.setDeliveryMonth(obj.getString("1"));//核算业绩归属月
        this.setAgentCombine(obj.getString("2"));//代理商集团
        this.setBidType(obj.getString("3"));//竞价分类
        this.setSettlementType(obj.getString("4"));//结算行业统计类型
        this.setSettlement2l(obj.getString("5"));//结算二级行业
        this.setOperationLabel(obj.getString("6"));//运营标签
        String firstDeliveryMonthMaterials = obj.getString("7");
        if (firstDeliveryMonthMaterials.contains("null")) {
            this.setFirstDeliveryMonthMaterials(0L);//月度首投视频素材数
        } else {
            this.setFirstDeliveryMonthMaterials(obj.getLong("7"));//月度首投视频素材数
        }
        String validMaterials = obj.getString("8");
        if (validMaterials.contains("null")) {
            this.setFirstDeliveryMonthValidMaterials(0L);//月度有效视频素材数
        } else {
            this.setFirstDeliveryMonthValidMaterials(obj.getLong("8"));//月度有效视频素材数
        }
        this.setValidMaterialRatio(obj.getBigDecimal("9"));//月度首投有效素材占比
        this.setTargetValue(obj.getBigDecimal("10"));//目标值
        this.setRebateRatio(obj.getBigDecimal("11"));//返点比例
        this.setFullDotDif(obj.getBigDecimal("12"));//满点差值
        this.setRebateRatioCeiling(obj.getBigDecimal("13"));//返点比例上限
        this.setCost(obj.getBigDecimal("14"));//业绩消耗
        this.setRebateCost(obj.getBigDecimal("15"));//返点金额
        this.setFullDotDifCost(obj.getBigDecimal("16"));//满点差值金额
    }

}
